Name:			os-cloud-config
Version:		0.2.8
Release:		10%{?dist}
Summary:		Configuration for OpenStack clouds

License:		ASL 2.0
URL:			http://pypi.python.org/pypi/%{name}
Source0:		http://tarballs.openstack.org/%{name}/%{name}-%{version}.tar.gz

#
# patches_base=+1
#
Patch0001: 0001-Updated-from-global-requirements.patch
Patch0002: 0002-Shift-EnvironmentVariable-fixture-setup-to-base.patch
Patch0003: 0003-Add-the-cinder-v2-service-to-setup_endpoints.patch
Patch0004: 0004-Don-t-register-https-endpoints-for-non-ssl-services.patch
Patch0005: 0005-Filter-domain-by-name.patch
Patch0006: 0006-rhbz-1230265-Switch-to-Nova-client-v2.patch
Patch0007: 0007-Don-t-try-to-connect-to-keystone-admin-via-ssl.patch
Patch0008: 0008-register-nodes-add-support-for-fake_pxe.patch
Patch0009: 0009-register-nodes-add-support-for-pxe_ucs.patch
Patch0010: 0010-Fix-nodes-registering-with-fake_pxe-driver.patch
Patch0011: 0011-register-nodes-add-support-for-node-names.patch
Patch0012: 0012-register-nodes-add-support-for-node-capabilites.patch
Patch0013: 0013-Add-pxe_irmc-driver-support-into-os-cloud-config.patch

BuildArch:		noarch
BuildRequires:		python-setuptools
BuildRequires:		python2-devel
BuildRequires:		python-pbr

Requires:		python-setuptools
Requires:		python-argparse
Requires:		python-oslo-config
Requires:		python-babel
Requires:		python-keystoneclient
Requires:		python-novaclient
# Add Back Requires on python-ironicclient once it's actually available
# Requires:		python-ironicclient
Requires:		pyOpenSSL

%description
os-cloud-config offers a suite of tools and libraries used to do the initial
configuration of OpenStack clouds.

%prep
%setup -q -n %{name}-%{version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

# Delete tests
rm -fr %{buildroot}%{python_sitelib}/os_cloud_config/tests

%files
%doc README.rst
%doc LICENSE
%{python_sitelib}/os_cloud_config*
%{_bindir}/generate-keystone-pki
%{_bindir}/init-keystone
%{_bindir}/register-nodes
%{_bindir}/setup-endpoints
%{_bindir}/setup-neutron
%{_bindir}/init-keystone-heat-domain
%{_bindir}/setup-flavors
%{_bindir}/upload-kernel-ramdisk

%changelog
* Wed Dec 02 2015 Mike Burns <mburns@redhat.com> 0.2.8-10
- Add pxe_irmc driver support into os-cloud-config rhbz#1274241

* Fri Nov 06 2015 Mike Burns <mburns@redhat.com> 0.2.8-9
- register-nodes: add support for node capabilites rhbz#1258651
- register-nodes: add support for node names rhbz#1258651

* Wed Oct 14 2015 Mike Burns <mburns@redhat.com> 0.2.8-8
- remove unit tests from rpm rhbz#1271688

* Mon Sep 14 2015 James Slagle <jslagle@redhat.com> 0.2.8-7
- Fix nodes registering with fake_pxe driver

* Thu Sep 03 2015 Mike Burns <mburns@redhat.com> 0.2.8-6
- register-nodes: add support for pxe_ucs rhbz#1233564
- register-nodes: add support for fake_pxe rhbz#1259393

* Mon Jul 06 2015 James Slagle <jslagle@redhat.com> 0.2.8-5
- Don't try to connect to keystone admin via ssl

* Fri Jun 26 2015 Mike Burns <mburns@redhat.com> 0.2.8-4
- rhbz#1230265 Switch to Nova client v2

* Wed Jun 24 2015 James Slagle <jslagle@redhat.com> 0.2.8-3
- Filter domain by name
- Don't register https endpoints for non-ssl services

* Tue Jun 23 2015 Mike Burns <mburns@redhat.com> 0.2.8-2
- Add the cinder v2 service to setup_endpoints

* Thu Jun 04 2015 Mike Burns <mburns@redhat.com> 0.2.8-1
- Update to upstream 0.2.8

* Fri May 08 2015 Mike Burns <mburns@redhat.com> 0.2.6-1
- Update to upstream 0.2.6

* Tue Jan 06 2015 James Slagle <jslagle@redhat.com> 0.1.13-3
- Update Remove runtime dependency on pbr patch

* Tue Jan 06 2015 James Slagle <jslagle@redhat.com> 0.1.13-2
- Remove runtime dependency on pbr

* Tue Oct 28 2014 James Slagle <jslagle@redhat.com> 0.1.13-1
- Update to upstream 0.1.13

* Wed Oct 01 2014 James Slagle <jslagle@redhat.com> 0.1.11-1
- Update to upstream 0.1.11

* Mon Sep 29 2014 James Slagle <jslagle@redhat.com> 0.1.10-2
- Remove Requires on python-ironicclient

* Mon Sep 29 2014 James Slagle <jslagle@redhat.com> 0.1.10-1
- Update to upstream 0.1.10

* Fri Sep 12 2014 James Slagle <jslagle@redhat.com> - 0.1.9-1
- Setup for rdopkg
- Bump to 0.1.9

* Fri Sep 12 2014 James Slagle <jslagle@redhat.com> - 0.1.8-3
- Add python-pbr to BuildRequires

* Fri Sep 05 2014 James Slagle <jslagle@redhat.com> - 0.1.8-2
- Updating spec for Fedora review process

* Mon Aug 25 2014 Derek Higgins <derekh@redhat.com> - 0.1.8-1
- Add setup-endpoints and setup-neutron
- initial package
